nonstd::optional_lite::detail::typelist< Head, Tail > Struct Template Reference

`#include <optional.hpp>`

## Public Types

typedef Head | head
typedef Tail | tail

## Detailed Description

template<typename Head, typename Tail>
struct nonstd::optional_lite::detail::typelist< Head, Tail >

Definition at line 596 of file optional.hpp.

## Member Typedef Documentation

## head

template<typename Head , typename Tail >

typedef Head nonstd::optional_lite::detail::typelist< Head, Tail >::head

Definition at line 598 of file optional.hpp.

## tail

template<typename Head , typename Tail >

typedef Tail nonstd::optional_lite::detail::typelist< Head, Tail >::tail

Definition at line 599 of file optional.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp